Package net.sf.saxon.tree.iter

## Class UnparsedTextIterator

- java.lang.Object
- - net.sf.saxon.tree.iter.TextLinesIterator
  - - net.sf.saxon.tree.iter.UnparsedTextIterator

- All Implemented Interfaces:
    `java.io.Closeable`, `java.lang.AutoCloseable`, `SequenceIterator`

      public class UnparsedTextIterator
      extends TextLinesIterator

  Class UnparsedTextIterator, iterates over a file line by line

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface net.sf.saxon.om.SequenceIterator

      `SequenceIterator.Property`

  - ### Field Summary

    - ### Fields inherited from class net.sf.saxon.tree.iter.TextLinesIterator

      `checker, location, reader, uri`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UnparsedTextIterator​(java.io.LineNumberReader reader, java.net.URI absoluteURI, XPathContext context, java.lang.String encoding)` |
    `UnparsedTextIterator​(java.net.URI absoluteURI, XPathContext context, java.lang.String encoding, Location location)` | Create a UnparsedTextIterator over a given file

  - ### Method Summary

    - ### Methods inherited from class net.sf.saxon.tree.iter.TextLinesIterator

      `close, next`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.saxon.om.SequenceIterator

      `forEachOrFail, getProperties, materialize`

- - ### Constructor Detail

    - #### UnparsedTextIterator

          public UnparsedTextIterator​(java.net.URI absoluteURI,
                                      XPathContext context,
                                      java.lang.String encoding,
                                      Location location)
                               throws XPathException

      Create a UnparsedTextIterator over a given file
      Parameters:
        `absoluteURI` - the URI identifying the file
        `context` - the dynamic evaluation context
        `encoding` - the expected encoding of the file
        `location` - the location of the instruction being executed
      Throws:
        `XPathException` - if a dynamic error occurs

    - #### UnparsedTextIterator

          public UnparsedTextIterator​(java.io.LineNumberReader reader,
                                      java.net.URI absoluteURI,
                                      XPathContext context,
                                      java.lang.String encoding)
                               throws XPathException

      Throws:
        `XPathException`